<?php
include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
autorisation("forfaitzonequantite");

require_once(realpath(dirname(__FILE__)) . '/Forfaitzonequantite.class.php');

class FzqAdmin extends ForfaitZoneQuantite
{
    var $redirect;
    
    var $zones;
    var $depts_zone;
    var $depts_dispo;
    
    var $id_zone;
    
    var $erreur;
    
    var $test_resultat;
    
    function FzqAdmin($id_zone = -1)
    {
        $this->redirect = 0;
        
        $this->zones = array();
        $this->depts_zone  = array();
        $this->depts_dispo = array();
        
        $this->id_zone = $id_zone;
        
        $this->test_resultat = false;
    }
        
    // Create zone
    function create_or_update_zone()
    {
        $id_zone = intval($_REQUEST['fzq_id_zone']);

        if ($id_zone == -1)
        {
            $this->query("insert into fzq_zones (nom) values ('".$this->escape($_REQUEST['fzq_nom_zone'])."')");
            
            $id_zone = mysql_insert_id();
        }
        else
        {
            $this->query("update fzq_zones set nom = '".$this->escape($_REQUEST['fzq_nom_zone'])."' where id=$id_zone");
            
            $this->query("delete from fzq_def_zones where id_zone=$id_zone");
        }
        
        $values = "";
        
        foreach($_REQUEST['fzq_dept_zone'] as $dep)
        {
           $values .= ($values == '' ? '':',') . "($id_zone, '".$this->escape($dep)."')";
        }
        
        if ($values != '')
        {
            $this->query("insert into fzq_def_zones (id_zone, departement) values $values");
        }
        
        $this->redirect = 1;
   }   
    
    function delete_zone()
    {
        $id_zone = intval($_REQUEST['fzq_id_zone']);

        $this->query("delete from fzq_zones where id=$id_zone");
        $this->query("delete from fzq_def_zones where id_zone=$id_zone");
        
        $this->redirect = 1;
    }
    
    function controle_intervalle_tarif($id_zone, $min, $max, $id_data = "")
    {
        $clause = $id_data != "" ? "and id <> $id_data" : "";
            
        $query = "select * 
                 from 
                    fzq_data
                 where 
                    id_zone = $id_zone
                    $clause
                    and
                    ( ($min >= quantite_min and $min <= quantite_max)
                      or 
                      ($max >= quantite_min and $max <= quantite_max) )";
                        
        $err = $this->query_to_array($query);
        
        if (count($err) > 0)
        {
            throw new Exception("Echec: l'intervalle de quantit indiqu chevauche un intervalle existant de la zone");
        }
    }
    
    function create_dept()
    {
        $id_dept = $this->escape($_REQUEST['fzq_id_departement']);
        $nom_dept = $this->escape($_REQUEST['fzq_nom_departement']);
        
        $this->query("insert into fzq_departements (id, nom) values ('$id_dept', '$nom_dept')");
    }
    
    function delete_dept()
    {
        $dept_id = $this->escape($_REQUEST['fzq_del_dept']);
        
        $this->query("delete from fzq_departements where id=$dept_id");
        
        // Supprimer des zones
        $this->query("delete from fzq_def_zones where departement=$dept_id");
    }
    
    function create_tarif()
    {
        try
        {
            $this->controle_intervalle_tarif(
                $this->escape($_REQUEST['id_zone_data']),
                $this->escape($_REQUEST['quantite_mini']),
                $this->escape($_REQUEST['quantite_maxi'])
            );
            
             $query = "
                insert into 
                    fzq_data
                (id_zone, quantite_min, quantite_max, forfait, surcout_unitaire)
                values (
                    ".$this->escape($_REQUEST['id_zone_data']).",
                    ".$this->escape($_REQUEST['quantite_mini']).",
                    ".$this->escape($_REQUEST['quantite_maxi']).",
                    ".$this->escape($_REQUEST['tarif']).",
                    ".$this->escape($_REQUEST['surcout_unitaire']).")";
                 
            $this->query($query);   
             
            $this->redirect = 1;
        }
        catch (Exception $ex)
        {
            $this->erreur = $ex->getMessage();
        }
    }
    
    function detete_tarif()
    {
        $id_data = intval($_REQUEST['fzq_id_data']);
        
        $this->query("delete from fzq_data where id=$id_data");
        
        $this->redirect = 1;
    }
    
    function update_tarif()
    {
        $id_data = intval($_REQUEST['fzq_id_data']);
        
        try
        {
            $this->controle_intervalle_tarif(
                $this->escape($_REQUEST['id_zone_data_'.$id_data]),
                $this->escape($_REQUEST['quantite_mini_'.$id_data]),
                $this->escape($_REQUEST['quantite_maxi_'.$id_data]),
                $id_data
            );
                           
            $this->query("
                update 
                    fzq_data
                set
                    id_zone=".$this->escape($_REQUEST['id_zone_data_'.$id_data]).",
                    quantite_min=".$this->escape($_REQUEST['quantite_mini_'.$id_data]).",
                    quantite_max=".$this->escape($_REQUEST['quantite_maxi_'.$id_data]).",
                    forfait=".$this->escape($_REQUEST['tarif_'.$id_data]).",
                    surcout_unitaire=".$this->escape($_REQUEST['surcout_unitaire_'.$id_data])."
                where 
                    id=$id_data");
            
            $this->redirect = 1;
        }
        catch (Exception $ex)
        {
            $this->erreur = $ex->getMessage();
        }
    }
    
    function prepare_update()
    {
        $this->id_zone = intval($_REQUEST['fzq_id_zone']);
    }
    
    function test_tarif()
    {
        $this->test_quantite = $this->escape($_REQUEST['test_quantite']);
        $this->test_departement = $this->escape($_REQUEST['test_departement']);
        
        $this->test_resultat = $this->trouver_tarif($this->test_quantite, $this->test_departement);
    }
    
    function prepare_main_page()
    {
        if ($this->redirect)
        {
            ?>        
            <script type="text/javascript">
                window.location = "<?php echo $_SERVER['PHP_SELF']; ?>?nom=forfaitzonequantite";
            </script>
            </body>
            </html>
            <?php
            
            exit();
        }
    
        // Zones dfinies
        $query = "
            select dz.id_zone, dz.departement, z.nom
            from
                fzq_def_zones dz, fzq_zones z
            where
                z.id = dz.id_zone
            order by
                z.nom, dz.departement";
                
        $zones_tmp = $this->query_to_array($query);
        
        $curr = 0;
        $depts = "";
        $this->zones = array();
        
        foreach($zones_tmp as $zone)
        {
            if ($zone['id_zone'] != $curr)
            {
                if ($curr != 0) $this->zones[$curr]['departements'] = $depts;
                
                $depts = "";
    
                $curr = $zone['id_zone'];
                
                $this->zones[$curr]['id_zone'] = $curr;
                $this->zones[$curr]['nom'] = $zone['nom'];
            }
            
            $depts .= ($depts == '' ? '':', ') . $zone['departement'];
        }
        
        if ($curr != 0)
        {
            $this->zones[$curr]['departements'] = $depts;
        }
        
        // Tous les dpartements
        $query = "
            select * 
            from 
                fzq_departements 
            order by 
                id";
                
        $this->depts_tous = $this->query_to_array($query);
        
        // Departements disponibles (hors zones)
        $query = "
            select * 
            from 
                fzq_departements 
            where 
                (id not in (select departement from fzq_def_zones) )
            order by 
                id";
                
        $this->depts_dispo = $this->query_to_array($query);
        
        // Departements dans la zone courante
        if ($this->id_zone != -1)
        {
            $query = "
                select * 
                from 
                    fzq_departements 
                where 
                    (id in (select departement from fzq_def_zones where id_zone=".$this->id_zone.") )
                order by 
                    id";
                    
            $this->depts_zone = $this->query_to_array($query);
        }
        
        // Les donnes
        $query = "
            select d.*, z.nom
            from
                fzq_data d, fzq_zones z
            where
                z.id = d.id_zone
            order by
                z.nom, d.quantite_min, d.quantite_max";
                
        $this->data = $this->query_to_array($query);
    }
}
    
// -- MAIN -------------------------------------------------------------------------------------

    $adm = new FzqAdmin();
    
    $command = $_REQUEST['fzq_command'];

    $id_zone = -1;
        
    switch($command)
    {
        case 'create_dept' :
            $adm->create_dept();
        break;
        
        case 'delete_dept' :
            $adm->delete_dept();
        break;
        
        case 'create_or_update' :
            $adm->create_or_update_zone();
        break;
        
        case 'delete' :
            $adm->delete_zone();
        break;
        
        case 'prepare_update' :
            $adm->prepare_update();
        break;
         
        case 'new' :
            // Go back to empty page
            $adm->redirect = 1;
        break;
        
        case 'tarif.new' :
            $adm->create_tarif();
        break;
        
        case 'tarif.delete' :
            $adm->detete_tarif();
        break;
        
        case 'tarif.change' :
            $adm->update_tarif();
        break;
        
        case 'tarif.test' :
            $adm->test_tarif();
        break;
    } 
    
    $adm->prepare_main_page();
    
?>

<style type="text/css">
td {
    height: 30px;
    padding: 4px;
}

th {
    height: 30px;
}

th.fzq {
    padding: 4px;
    font-weight: bold;
    background-color:#9EB0BE;
}

.fonction_valider {
   float: right;
}

</style>

<script type="text/javascript" src="../lib/jquery/jquery.js"></script>
<script type="text/javascript" src="../client/plugins/forfaitzonequantite/js/jquery.selectboxes.pack.js"></script>

<script type="text/javascript">

    function fzd_select_copy(from, to)
    {
        try
        {
            var left = $(from);
            var right = $(to);
        
            if (left.selectedOptions().length == 0) return;
        
            left.copyOptions(right);
            left.removeOption(left.selectedValues());
            
            right.sortOptions();
        }
        catch (ex)
        {
            alert("Erreur: " + ex);
        }
    }
    
    function fzq_delete(id_zone)
    {
        if (confirm("Supprimer cette zone et tous les tarifs associs ?"))
        {
            $("[name=fzq_id_zone]").val(id_zone);
            $("#fzq_def_command").val("delete");
        
            $('#fzq_form').submit();
        }
    }
    
    function fzq_prepare_update(id_zone)
    {
         $("[name=fzq_id_zone]").val(id_zone);
         $("#fzq_def_command").val("prepare_update");
        
        $('#fzq_form').submit();
    }
    
    function fzq_new_zone(id_zone)
    {
         $("#fzq_def_command").val("new");
        
        $('#fzq_form').submit();
    }
    
    function fzq_submit()
    {
        var nz = $('[name=fzq_nom_zone]').val();
        
        if (nz == '')
        {
            alert("Merci d'indiquer un nom de zone");
            
            $('[name=fzq_nom_zone]').focus();
            
            return false;
        }
        
        $("#dept_zone").selectOptions(/.*/);

        if ($("#dept_zone").selectedValues().length == 0)
        {
            alert("Une zone doit contenir au moins un dpartement.");
            
            $("#depts_dispos").focus();
            
            return false;
        }
        
        $('#fzq_form').submit();
    }
    
    
    function fzq_dept_submit()
    {
        var test = $('[name=fzq_nom_departement]').val();
        
        if (test == '')
        {
            alert("Merci d'indiquer un nom de dpartement (exemple: Haute Garonne)");
            
            $('[name=fzq_nom_departement]').focus();
            
            return false;
        }
 
        test = $('[name=fzq_id_departement]').val();
        
        if (test == '')
        {
            alert("Merci d'indiquer un numro de departement ou un code postal (exemples: 2A, 31, 31200, 75009...)");
            
            $('[name=fzq_id_departement]').focus();
            
            return false;
        }
 
        $('#fzq_dept_form').submit();
    }
    
    function fzq_del_dept_submit()
    {
        var label = $('[name=fzq_del_dept]').val();
        
        if (confirm("Supprimer dfinitivement le dpartement " + label + " ?\nIl sera retir de toutes les zones o il tait prsent."))
        {
            $('#fzq_del_dept_form').submit();
        }
    }
    
    function fzq_check_number(selector, label)
    {
        var qm = $(selector).val();
        
        //alert("qm="+qm+", nan:"+isNaN(qm));
        
        if (qm == "" || isNaN(qm))
        {
            alert(label);
            
            $(selector).focus();
            
            return false;
        }
        
        return qm;
    }
    
    function fzq_check_tarif(suffix)
    {
        var mini = fzq_check_number("[name=quantite_mini"+suffix+"]", "Indiquez une quantit minimum valide.");
        
        if (! mini) return false;
        
        var maxi = fzq_check_number("[name=quantite_maxi"+suffix+"]", "Indiquez une quantit maximum valide.");
        
        if (! maxi) return false;
        
        if (maxi <= mini)
        {
            alert("La quantit minimum doit tre infrieure  la quantit maximum");
            
            $('[name=quantite_maxi"+suffix+"]').focus();
            
            return false;
        }
        
        if (fzq_check_number("[name=tarif"+suffix+"]", "Indiquez un tarif valide.")
            &&
            fzq_check_number("[name=surcout_unitaire"+suffix+"]", "Indiquez un surcout unitaire valide.")
            )
        {
            if ($("[name=id_sone_data"+suffix+"]").val() == -1)
            {
                alert("Choisissez une zone");
                $("[name=id_sone_data"+suffix+"]").focus();
            }
            else
            {
                return true;
            }
        }
        
        return false;
    }
    
    function fzq_add_tarif()
    {
        if (fzq_check_tarif(""))
        {
            $("#fzq_data_command").val("tarif.new");
        
            $('#fzq_data_form').submit();
        }
    }
    
    function fzq_delete_tarif(id_data)
    {
        if (confirm("Supprimer ce tarif ?"))
        {    
            $("[name=fzq_id_data]").val(id_data);
            $("#fzq_data_command").val("tarif.delete");
        
            $('#fzq_data_form').submit();
        }
    }
    
    function fzq_change_tarif(id_data)
    {
        if (fzq_check_tarif("_" + id_data))
        {
            $("[name=fzq_id_data]").val(id_data);
            $("#fzq_data_command").val("tarif.change");
        
            $('#fzq_data_form').submit();
        }
    }
    
    
    function fzq_test_tarif()
    {
        if (fzq_check_number("[name=test_quantite]", "Indiquez un nombre d'articles valide."))
        {
            if ($('[name=test_departement]').val() == '')
            {
                alert("indiquez un numro de dpartement.");
                $('[name=test_departement]').focus();
            }
            else
            {
                $('#fzq_test_form').submit();
            }
        }
        
        return false;
    }
    
    
    
</script>
<div id="contenu_int"> 
<p class="geneva11Reg_3B4B5B"><a href="accueil.php" class="lien04">Accueil </a> <img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="#" class="lien04">Forfait par zone et quantit</a></p>

<a name="zones">
<form action="<?php echo $_SERVER['PHP_SELF'] ?>#zones" id="fzq_form">
<input type="hidden" name="nom" value="forfaitzonequantite" />
<input type="hidden" name="fzq_id_zone" value="<?php echo $adm->id_zone; ?>"/>
<input type="hidden" name="fzq_command"  id="fzq_def_command" value="create_or_update"/>

<div id="bloc_description" style="width: 100%">

<table cellpadding="0" cellspacing="0" border="0" style="float: left; width: 450px;">
    <tr>
        <th colspan="3">
        <div class="entete_liste">
		  <div class="titre">ZONES EXISTANTES</div>
			 <div class="fonction_valider"><a onclick="fzq_new_zone(); return_false;" href="#">+ NOUVELLE ZONE</a></div>
		  </div>
        </div>        
        </th>
    </tr>
    
    <tr>
        <th class="fzq">Nom</th>
        <th class="fzq">Dpartements</th>
        <th class="fzq">Actions</th>
    </tr>
    <?php $idx = 0; 
       foreach ($adm->zones as $zone) 
       {
            $class = "cellule_" . ( ($idx++ % 2) == 0 ? "claire" : "sombre");
    ?>

        <tr>
            <td nowrap="nowrap" class="<?php echo($class); ?>"><?php echo $zone['nom']; ?></td>
            <td class="<?php echo($class); ?>"><?php echo $zone['departements']; ?></td>
            <td class="<?php echo($class); ?>">
                <a href="#" onclick="fzq_prepare_update(<?php echo $zone['id_zone']; ?>); return false;">MODIFIER</a>&nbsp;&bull;&nbsp;<a href="#" onclick="fzq_delete(<?php echo $zone['id_zone']; ?>); return false;">SUPPRIMER</a></td>
        </tr>
    <?php } ?>
</table>

<table cellpadding="0" cellspacing="0" border="0" style="float: right; width: 510px;">
    <tr>
        <th colspan="3">
        <div class="entete_liste">
        
		  <div class="titre"><?php echo ($adm->id_zone != -1 ? "MODIFIER UNE ZONE" : "NOUVELLE ZONE"); ?></div>
			 <div class="fonction_valider"><a onclick="fzq_submit(); return false;" href="#">VALIDER</a></div>
		  </div>
        </div>   
        </th>     
    </tr>
    
    <tr>
        <td colspan="3"  class="cellule_sombre">
            Nom de la zone: <input type="text" style="width: 250px;" name="fzq_nom_zone" value="<?php echo $adm->zones[$adm->id_zone]['nom']; ?>";/>
        </td>
    </tr>
    
    <tr>
        <th class="fzq">Departements disponibles</th>
        <th class="fzq">&nbsp;</th>
        <th class="fzq">Dpartements dans la zone</th>
    </tr>
    <tr>
        <td class="cellule_claire"><select style="width: 200px;" multiple="multiple" size="10" name="fzq_dept_dispos" id="depts_dispos">
            <?php foreach ($adm->depts_dispo as $dept) { ?>
                <option value="<?php echo($dept['id']); ?>"><?php echo($dept['id'].'-'.$dept['nom']); ?></option>
            <?php } ?>
        </select></td>
        
        <td class="cellule_claire">
            <input type="submit" name="fzq_add" value="Ajouter &gt;&gt;" onclick="fzd_select_copy('#depts_dispos', '#dept_zone'); return false;" />
            <br />&nbsp;<br />
            <input type="submit" name="fzq_del" value="&lt;&lt; Retirer" onclick="fzd_select_copy('#dept_zone', '#depts_dispos'); return false;" />
        </td>
        
        <td class="cellule_claire"><select style="width: 200px;" multiple="multiple" size="10" name="fzq_dept_zone[]" id="dept_zone">
            <?php foreach ($adm->depts_zone as $dept) { ?>
                <option value="<?php echo($dept['id']); ?>"><?php echo($dept['id'].'-'.$dept['nom']); ?></option>
            <?php } ?>
        </select></td>
    </tr>
</table>
</form>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>#zones" id="fzq_dept_form">
<input type="hidden" name="nom" value="forfaitzonequantite" />
<input type="hidden" name="fzq_command"  id="fzq_dept_command" value="create_dept"/>

<table cellpadding="0" cellspacing="0" border="0" style="float: right; width: 510px; margin-top: 10px;">
    <tr>
        <th colspan="2">
        <div class="entete_liste">
        
		  <div class="titre">AJOUTER UN DEPARTEMENT</div>
			 <div class="fonction_valider"><a onclick="fzq_dept_submit(); return false;" href="#">VALIDER</a></div>
		  </div>
        </div>   
        </th>     
    </tr>

    <tr>
        <td class="cellule_sombre">Code postal</td>
        <td class="cellule_claire"><input type="text" maxlength="10" style="width: 50px;" name="fzq_id_departement"/></td>
    </tr>
    <tr>
        <td class="cellule_sombre">Libell</td>
        <td class="cellule_claire"><input type="text" style="width: 250px;" name="fzq_nom_departement"/></td>
    </tr>
</table>
</form>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>#zones" id="fzq_del_dept_form">
<input type="hidden" name="nom" value="forfaitzonequantite" />
<input type="hidden" name="fzq_command"  id="fzq_del_dept_command" value="delete_dept"/>

<table cellpadding="0" cellspacing="0" border="0" style="float: right; width: 510px; margin-top: 10px;">
    <tr>
        <th colspan="2">
        <div class="entete_liste">
        
		  <div class="titre">SUPPRIMER UN DEPARTEMENT</div>
			 <div class="fonction_valider"><a onclick="fzq_del_dept_submit(); return false;" href="#">SUPPRIMER</a></div>
		  </div>
        </div>   
        </th>     
    </tr>

    <tr>
        <td class="cellule_sombre">Dpartement  supprimer</td>
        <td class="cellule_claire"><select style="width: 200px;" name="fzq_del_dept" id="del_dept">
            <?php foreach ($adm->depts_tous as $dept) { ?>
                <option value="<?php echo($dept['id']); ?>"><?php echo($dept['id'].'-'.$dept['nom']); ?></option>
            <?php } ?>
        </select>
        </td>
    </tr>
</table>
</form>

<br style="clear: both" />

<a name="tarifs"></a>
<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>#tarifs" id="fzq_data_form">
<input type="hidden" name="nom" value="forfaitzonequantite" />
<input type="hidden" name="fzq_id_data" value="-1" />
<input type="hidden" name="fzq_command" id="fzq_data_command" value=""/>

<table cellspacing="0" cellpadding="0" width="100%" style="margin-top: 20px;">
    <tr>
        <th colspan="6">
        <div class="entete_liste">
		  <div class="titre">TARIFS PAR ZONE ET QUANTITE</div>
		  </div>
        </div>        
        </th>
    </tr>
 
    <tr>
        <th class="fzq" colspan="6">NOUVEAU TARIF</th>
    </tr>
   
    <tr>
        <td class="cellule_claire"><select name="id_zone_data">
            <option value="-1">Choisissez une zone...</option>
            <?php foreach ($adm->zones as $zone)
            {
                echo '<option value="'.$zone['id_zone'].'">'.$zone['nom'].'</option>';
            } 
            ?>
        </select></td>
        <td class="cellule_claire"><input type="text" name="quantite_mini" size="5" /></td>
        <td class="cellule_claire"><input type="text" name="quantite_maxi" size="5" /></td>
        <td class="cellule_claire"><input type="text" name="tarif" size="6" /></td>
        <td class="cellule_claire"><input type="text" name="surcout_unitaire" size="6" /></td>
        <td class="cellule_claire"><a href="#" onclick="fzq_add_tarif(); return false;">+ AJOUTER</a></td>
    </tr>

    <?php if ($adm->erreur)
        echo '<tr><th colspan="6"><div style="color: red; font-weight: bold">'.$adm->erreur.'</div></th></tr>';
    ?>
    
    <tr>
        <th class="fzq">Zone</th>
        <th class="fzq">Quantit mini</th>
        <th class="fzq">Quantit maxi</th>
        <th class="fzq">Forfait</th>
        <th class="fzq">Supplment par unit</th>
        <th class="fzq">Actions</th>
    </tr>
    
    <?php 
    $idx = 0;
    
    foreach($adm->data as $data)
    {
        $class = "cellule_" . ( ($idx++ % 2) == 0 ? "claire" : "sombre");    
        $id = $data['id'];
        ?>
        <tr>
            <td class="<?php echo($class); ?>"><select name="id_zone_data_<?php echo($id); ?>">
                <option value="-1">Choisissez une zone...</option>
                <?php foreach($adm->zones as $zone)
                {
                    echo '<option value="'.$zone['id_zone'].'"'.($data['id_zone']==$zone['id_zone'] ? ' selected="selected"':'').'>'.$zone['nom'].'</option>';
                } 
                ?>
            </select></td>
            <td class="<?php echo($class); ?>"><input type="text" name="quantite_mini_<?php echo($id); ?>" size="5" value="<?php echo($data['quantite_min']); ?>" /></td>
            <td class="<?php echo($class); ?>"><input type="text" name="quantite_maxi_<?php echo($id); ?>" size="5" value="<?php echo($data['quantite_max']); ?>"/></td>
            <td class="<?php echo($class); ?>"><input type="text" name="tarif_<?php echo($id); ?>" size="6" value="<?php echo(sprintf("%01.2f", $data['forfait'])); ?>" /></td>
            <td class="<?php echo($class); ?>"><input type="text" name="surcout_unitaire_<?php echo($id); ?>" size="6" value="<?php echo(sprintf("%01.2f",$data['surcout_unitaire'])); ?>" /></td>
            <td class="<?php echo($class); ?>">
                <a href="#" onclick="fzq_change_tarif(<?php echo($id); ?>); return false;">MODIFIER</a>
                &nbsp;&bull;&nbsp;
                <a href="#" onclick="fzq_delete_tarif(<?php echo($id); ?>); return false;">SUPPRIMER</a>
            </td>           
        </tr>
    <?php } ?>
</table>

</form>

<a name="test"></a>
<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>#test" id="fzq_test_form">
<input type="hidden" name="nom" value="forfaitzonequantite" />
<input type="hidden" name="fzq_command" value="tarif.test"/>

<table cellspacing="0" cellpadding="0" style="margin-top: 20px;">
    <tr>
        <th colspan="4">
        <div class="entete_liste">
		  <div class="titre">TEST</div>
		  </div>
        </div>        
        </th>
    </tr>
   
    <tr>
        <td class="cellule_claire">Nombre d'articles <input type="text" name="test_quantite" size="4" value="<?php print $adm->test_quantite; ?>" /></td>
        <td class="cellule_claire">Dpartement <input type="text" name="test_departement" size="4" value="<?php print $adm->test_departement; ?>" /></td>
        <td class="cellule_claire"><a href="#" onclick="fzq_test_tarif(); return false;">CALCULER</a></td>
        <td class="cellule_claire"><?php if ($adm->test_resultat !== false) { ?>
        <div style="font-weight:bold; padding-left: 10px;">Tarif: <?php print $adm->test_resultat == 0 ? "Nous consulter" : sprintf("%01.2f&euro;", $adm->test_resultat); ?></div>
        <?php } ?></td>
    </tr>
</table>

</div>

</div>
